/***************************************************************************//**
 * @file
 * @brief Defines for the Zigbee Event Logger component, which describes various
 * events that can be recorded and retrieved for user inspection.
 *******************************************************************************
 * # License
 * <b>Copyright 2021 Silicon Laboratories Inc. www.silabs.com</b>
 *******************************************************************************
 *
 * The licensor of this software is Silicon Laboratories Inc. Your use of this
 * software is governed by the terms of Silicon Labs Master Software License
 * Agreement (MSLA) available at
 * www.silabs.com/about-us/legal/master-software-license-agreement. This
 * software is distributed to you in Source Code format and is governed by the
 * sections of the MSLA applicable to Source Code.
 *
 ******************************************************************************/
//
// *** Generated file. Do not edit! ***
// Generated by: generate-zigbee-logger-files.py -y zigbee_logger.yaml

// This file provides weak definitions when the Zigbee
// Event Logger component is not included.

#include "stack/include/ember.h"

WEAK(void emberAfPluginZigBeeEventLoggerAddBootEvent(uint32_t bootCount, uint16_t resetType)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddJoinNetwork(EmberPanId panId, uint8_t channelNumber, uint8_t page, uint8_t *extendedPanId)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddTrustCenterRejoin(uint32_t channelMask, EmberRejoinReason reason)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddSecureRejoin(uint32_t channelMask, EmberRejoinReason reason)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddLeaveWithoutRejoin(EmberNodeId sourceNode, EmberLeaveReason reason)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddLeaveWithRejoin(EmberNodeId sourceNode, EmberLeaveReason reason)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddTrustCenterLinkKeyChange(void)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddNetworkKeySequenceChange(uint8_t sequence)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddReset(uint8_t resetCode, uint8_t extendedReason)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddChannelChange(uint8_t page, uint8_t channel)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddParentChange(EmberNodeId parentNodeId, EmberEUI64 parentEui64)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddDutyCycleChange(EmberDutyCycleState state, EmberDutyCycleHectoPct limitThreshold, EmberDutyCycleHectoPct criticalThreshold, EmberDutyCycleHectoPct suspendedLimit)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddChildAdded(EmberNodeId childNodeId, EmberEUI64 childEui64)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddChildRemoved(EmberNodeId childNodeId, EmberEUI64 childEui64)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddChildTimedOut(EmberNodeId childNodeId, EmberEUI64 childEui64)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddStackStatus(EmberStatus status)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddTimeSync(uint32_t utcTime, uint32_t secondsSinceBoot)
     )
{
}

WEAK(void emberAfPluginZigBeeEventLoggerAddTrustCenterJoinDecision(EmberNodeId nodeId, uint8_t decision)
     )
{
}
